| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODVolrenAttribTreeItem Class Reference
uiODMain

`#include <uiodvolrentreeitem.h>`

Inheritance diagram for uiODVolrenAttribTreeItem:
[legend]

## Public Member Functions
| uiODVolrenAttribTreeItem (const char *parenttype)
Public Member Functions inherited from uiODAttribTreeItem
| uiODAttribTreeItem (const char *parenttype)
Public Member Functions inherited from uiODDataTreeItem
int | attribNr () const
VisID | displayID () const
| mDefineFactory2ParamInClass (uiODDataTreeItem, const Attrib::SelSpec &, const char *, factory) void prepareForShutdown() override
bool | select () override
virtual void | show (bool yn)
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
virtual bool | askContinueAndSaveIfNeeded (bool withcancel)
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual int | selectionKey () const
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
virtual void | updateCheckStatus ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODVolrenAttribTreeItem ()
void | createMenu (MenuHandler *, bool istb) override
void | handleMenuCB (CallBacker *) override
bool | hasTransparencyMenu () const override
Protected Member Functions inherited from uiODAttribTreeItem
| ~uiODAttribTreeItem ()
bool | anyButtonClick (uiTreeViewItem *) override
uiString | createDisplayName () const override
void | updateColumnText (int col) override
Protected Member Functions inherited from uiODDataTreeItem
| uiODDataTreeItem (const char *parenttype)
| ~uiODDataTreeItem ()
void | addToToolBarCB (CallBacker *)
uiODApplMgr * | applMgr () const
virtual void | checkCB (CallBacker *)
void | createMenuCB (CallBacker *)
void | displayMiniCtab (const ColTab::Sequence *)
bool | init () override
bool | isExpandable () const override
bool | isSelectable () const override
void | keyPressCB (CallBacker *)
const char * | parentType () const override
SceneID | sceneID () const
bool | shouldSelect (int) const override
bool | showSubMenu () override
int | uiTreeViewItemType () const override
void | updateColumnText (int col) override
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual bool | doubleClick (uiTreeViewItem *)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
MenuItem | addisosurfacemnuitem_
MenuItem | addmnuitem_
Protected Attributes inherited from uiODAttribTreeItem
MenuItem | colsettingsmnuitem_
MenuItem | selattrmnuitem_
MenuItem | usecolsettingsmnuitem_
Protected Attributes inherited from uiODDataTreeItem
MenuItem | amplspectrumitem_
uiAmplSpectrum * | ampspectrumwin_
MenuItem | changetransparencyitem_
MenuItem | displaymnuitem_
MenuItem | fkspectrumitem_
uiFKSpectrum * | fkspectrumwin_
uiMenuHandler * | menu_
MenuItem | movedownmnuitem_
MenuItem | movemnuitem_
MenuItem | movetobottommnuitem_
MenuItem | movetotopmnuitem_
MenuItem | moveupmnuitem_
const char * | parenttype_
MenuItem | removemnuitem_
MenuItem | statisticsitem_
uiStatsDisplayWin * | statswin_
MenuItem | view2dvditem_
MenuItem | view2dwvaitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiODAttribTreeItem
static uiString | createDisplayName (const VisID &, int attrib)
static void | createSelMenu (MenuItem &, const VisID &, int attrib, const SceneID &)
static bool | handleSelMenu (int mnuid, const VisID &, int attrib)
static uiString | sKeyColSettingsMenuTxt ()
static uiString | sKeySelAttribMenuTxt ()
static uiString | sKeyUseColSettingsMenuTxt ()
Static Public Member Functions inherited from uiODDataTreeItem
static int | cPixmapHeight ()
static int | cPixmapWidth ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODVolrenAttribTreeItem()

uiODVolrenAttribTreeItem::uiODVolrenAttribTreeItem | ( | const char * | parenttype | ) |

## ◆ ~uiODVolrenAttribTreeItem()

uiODVolrenAttribTreeItem::~uiODVolrenAttribTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ createMenu()

void uiODVolrenAttribTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override protected virtual

Reimplemented from uiODAttribTreeItem.

## ◆ handleMenuCB()

void uiODVolrenAttribTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from uiODAttribTreeItem.

## ◆ hasTransparencyMenu()

bool uiODVolrenAttribTreeItem::hasTransparencyMenu | ( |  | ) | const
| override protected virtual

Reimplemented from uiODDataTreeItem.

## Member Data Documentation

## ◆ addisosurfacemnuitem_

MenuItem uiODVolrenAttribTreeItem::addisosurfacemnuitem_
| protected

## ◆ addmnuitem_

MenuItem uiODVolrenAttribTreeItem::addmnuitem_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025